## parse-args 0.5.2~git20251214+g94842f5

=== debian/changelog ===
parse-args (0.5.2~git20251214+g94842f5-1) unstable; urgency=medium

  * Initial release. (Closes: #1121700)

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 15 Jan 2026 13:51:58 +0100
