=== debian/control ===
Source: parse-args
Section: libs
Priority: optional
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 pandoc,
 tcl8.6-dev, tcl9.0-dev
Standards-Version: 4.7.3
Homepage: https://github.com/RubyLanes/parse_args
#Vcs-Browser: https://salsa.debian.org/debian/parse-args
#Vcs-Git: https://salsa.debian.org/debian/parse-args.git

Package: tcl-parse-args
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Advanced argument parsing for Tcl
 The commands provided by the Tcl core follow a pattern of optional, named
 arguments (named with a leading "-" to indicate an option) in addition to
 positional arguments. They strongly prefer named arguments when the number of
 arguments and particularly optional arguments grows beyond about 3.  Tcl scripts
 however have no access to standard argument parsing facilities to implement this
 pattern and have to build their named argument parsing machinery from scratch.
 This is slow to do in script, error prone, and creates noise in the code that
 distracts from the core task of the command implementation.  This means that
 script-defined commands generally present half-baked argument handling APIs and
 tend to over-use positional arguments.
 .
 This package aims to address this weakness by providing a robust argument
 parsing mechanism to script code that can implement the full set of patterns
 established by the core Tcl commands, is terse and readable to specify the
 arguments, and is fast enough to use in any situation.
